.progressbar {
    counter-reset: step;
}
.progressbar li {
    list-style-type: none;
    width: 19%;
    float: left;
    font-family: 'db_heavent_cond';
    font-size: 1rem;
    font-size: clamp(0.5rem, 2.5vw, 1rem);
    position: relative;
    text-align: center;
    color: white;
}
.progressbar li:before {
    width: 35px;
    height: 35px;
    content: counter(step);
    counter-increment: step;
    line-height: 35px;
    border: 2px solid #7d7d7d;
    display: block;
    text-align: center;
    margin: 0 auto 10px auto;
    border-radius: 50%;
    background-color: #808185;
}
.progressbar li:after {
    width: 100%;
    height: 2px;
    content: '';
    position: absolute;
    background-color: #7d7d7d;
    top: 18px;
    left: -50%;
    z-index: -1;
}
.progressbar li:first-child:after {
    content: none;
}

.progressbar li.active:before {
    border-color: #7cab34;
    background-color: #7cab34;
}
/* ไว้สำหรับเปลี่ยนสีเส้นได้ */
.progressbar li.active + li:after {
    background-color: #7d7d7d;
}
@media only screen and (max-width : 1600px) {
    .progressbar li {
        width: 12%;
    }
}
@media only screen and (max-width : 661px) {
    .progressbar li {
        width: 18%;
    }
    .progressbar li:before {
        width: 35px;
        height: 35px;
        line-height: 35px;
    }
    .progressbar li:after {
        top: 18px;
    }
}
@media only screen and (max-width : 420px) {
    .progressbar li {
        width: 20%;
        font-size: 0.8rem;
        font-size: clamp(0.8rem, 2.5vw, 1rem);
    }
    .progressbar li:before {
        width: 30px;
        height: 30px;
        line-height: 30px;
    }
    .progressbar li:after {
        top: 15px;
    }
}
@media only screen and (max-width: 320px){
    .progressbar li {
        font-size: 0.6rem;
        font-size: clamp(0.6rem, 2.5vw, 1rem);
    }
}